# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-03-02 13:40
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('firstnames', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Place',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Publication',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pub_type', models.IntegerField(choices=[(1, 'book'), (2, 'article'), (3, 'journal'), (4, 'website')], default=1)),
                ('title', models.CharField(max_length=200)),
                ('year', models.IntegerField(blank=True, null=True)),
                ('date', models.DateField(blank=True, null=True)),
                ('url', models.URLField(blank=True)),
                ('issn', models.CharField(blank=True, max_length=200)),
                ('isbn', models.CharField(blank=True, max_length=200)),
                ('doi', models.CharField(blank=True, max_length=200)),
                ('issue', models.CharField(blank=True, max_length=200)),
                ('volume', models.CharField(blank=True, max_length=200)),
                ('pages', models.CharField(blank=True, max_length=200)),
                ('authors', models.ManyToManyField(blank=True, related_name='publication_authors_person', to='ddpublications.Person')),
                ('editors', models.ManyToManyField(blank=True, related_name='publication_editors_person', to='ddpublications.Person')),
                ('included_in', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='publication_included_in_publication', to='ddpublications.Publication')),
                ('places', models.ManyToManyField(blank=True, to='ddpublications.Place')),
            ],
        ),
        migrations.CreateModel(
            name='Publisher',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.AddField(
            model_name='publication',
            name='publisher',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='ddpublications.Publisher'),
        ),
    ]
