# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2017-08-17 12:13
from __future__ import unicode_literals

import datetime
from django.db import migrations, models
import django.db.models.deletion
import taggit.managers


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('ddusers', '0093_auto_20170817_1044'),
    ]

    operations = [
        migrations.CreateModel(
            name='LanguageTagged',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True, verbose_name='Name')),
                ('slug', models.SlugField(max_length=100, unique=True, verbose_name='Slug')),
            ],
            options={
                'verbose_name': 'Language Tag',
                'verbose_name_plural': 'Language Tags',
            },
        ),
        migrations.CreateModel(
            name='LanguageTags',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.IntegerField(db_index=True, verbose_name='Object id')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ddusers_languagetags_tagged_items', to='contenttypes.ContentType', verbose_name='Content type')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='languagetags_languagetagged', to='ddusers.LanguageTagged')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='comments',
            field=models.TextField(blank=True),
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='context',
            field=models.TextField(blank=True),
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='funding',
            field=models.TextField(blank=True),
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='funding_logo',
            field=models.ImageField(blank=True, null=True, upload_to=''),
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='instituional_affiliation',
            field=models.TextField(blank=True),
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='publications',
            field=models.ManyToManyField(blank=True, related_name='datasetdescription_publication', to='ddusers.Publication'),
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='related_dataset',
            field=models.ManyToManyField(blank=True, related_name='datasetdescription_related_dataset_dataset', to='ddusers.DataSet'),
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='related_dataset_text',
            field=models.TextField(blank=True),
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='sources_of_data',
            field=models.TextField(default='None'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='time_period_from',
            field=models.DateField(blank=True, default=datetime.date(2017, 8, 17)),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='time_period_text',
            field=models.CharField(blank=True, max_length=400),
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='time_period_to',
            field=models.DateField(blank=True, default=datetime.date(2017, 8, 17)),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='datasetdescription',
            name='countries',
            field=models.ManyToManyField(blank=True, related_name='datasetdescription_countries_country', to='ddusers.Country'),
        ),
        migrations.AddField(
            model_name='datasetdescription',
            name='languages_of_data',
            field=taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='ddusers.LanguageTags', to='ddusers.LanguageTagged', verbose_name='Tags'),
        ),
    ]
