from rest_framework import serializers


from ddusers.models import User
from ddusers.models import Institution
from ddusers.models import Project
from ddusers.models import DataSet
from ddusers.models import Topic

class ProjectSerializer(serializers.ModelSerializer):
    class Meta:
        model = Project
        fields = ('id', 'title', 'description', 'image')

class TopicSerializer(serializers.ModelSerializer):
    class Meta:
        model = Topic
        fields = ('id', 'title', 'description')

class InstitutionSerializer(serializers.ModelSerializer):
    class Meta:
        model = Institution
        fields = ('id', 'name', 'short_name', 'department', 'address', 'image',)

class UserSerializer(serializers.ModelSerializer):
    projects = ProjectSerializer(many=True)
    topics = TopicSerializer(many=True)
    institution = InstitutionSerializer()
    class Meta:
        model = User
        fields = ('id', 'get_full_name', 'position',
            'institution', 'image', 'email',
            'projects', 'shared_data', 'topics',
            )



class DataSetSerializer(serializers.ModelSerializer):
    class Meta:
        model = DataSet
        fields = ('id', 'title', 'description', 'user')
