from django.conf.urls import url
from rest_framework.urlpatterns import format_suffix_patterns
from ddusers import views
#from ddusers.models import DataFile


urlpatterns = [
    url(r'^password/$', views.change_password, name='change_password'),
    ]

urlpatterns = [
        url(r'^password/$', views.change_password, name='ddusers.change_password'),
        # ic: add a country to a user profile
        url(r'^country/ic/remove/(?P<pk>[0-9]+)/$', views.get_user_countries_ic, name='ddusers.country_ic_remove'),
        # ic: return all tags as json
        url(r'^user/ic/countries/$', views.get_user_countries_ic, name='ddusers.get_user_countries_ic'),
        url(r'^user/ic/countries/(?P<pk>[0-9]+)/$', views.get_user_countries_ic, name='ddusers.get_user_countries_ic'),
        ### tags
        # ic: return all tags as json
        #url(r'^affiliations/ic/$', views.get_affiliations, name='ddusers.get_affiliations'),
        # ic: add a tag to a user profile
        #url(r'^affiliations/ic/add/$', views.affiliation_add, name='ddusers.affiliation_add'),
        #url(r'^affiliations/ic/remove/(?P<pk>[0-9]+)/$', views.affiliation_remove, name='ddusers.affiliation_remove'),
        # ic: remove a tag from a user profile
        #url(r'^tags/ic/remove/(?P<pk>[0-9]+)/$', views.tag_remove, name='ddusers.tag_remove'),
        ### tags
        # ic: return all tags as json
        #url(r'^tags/ic/$', views.get_tags, name='ddusers.get_tags'),
        url(r'^tags/ic/all/add/$', views.tag_add, name='ddusers.tag_add'),
        url(r'^tags/ic/(?P<object_type>[\w-]+)/$', views.get_object_tags, name='ddusers.get_object_tags'),
        url(r'^keywords/ic/$', views.get_keyword_tags, name='ddusers.get_keyword_tags'),
        url(r'^users/all/ic/$', views.get_users_all, name='ddusers.get_users_all'),
        url(r'^languages/ic/$', views.get_language_tags, name='ddusers.get_language_tags'),
        url(r'^institution/ic/$', views.get_institutions, name='ddusers.get_institutions'),
        # ic: add a tag to a user profile
        # ic: remove a tag from a user profile
        url(r'^tags/ic/remove/(?P<pk>[0-9]+)/$', views.tag_remove, name='ddusers.tag_remove'),
        ### user
        # list all users
        url(r'^list/$', views.user_list, name='ddusers.user_list'),
        url(r'^(?P<page>[0-9]+)/$', views.user_list, name='ddusers.user_list'),
        #url(r'^page/(?P<page>[0-9]+)/$', views.user_list_paginator_ic, name='ddusers.user_list_paginator_ic'),
        #url(r'^user/(?P<country>[a-z]+)/$', views.user_list_country, name='ddusers.user_list_country'),
        #url(r'^userlist/$', views.user_list_ajax, name='ddusers.user_list_ajax'),
        #url(r'^userdetail/(?P<pk>[0-9]+)/$', views.user_detail_ajax, name='ddusers.user_detail_ajax'),
        # public user info
        url(r'^user/(?P<pk>[0-9]+)/$', views.user_detail, name='ddusers.user_detail'),
        url(r'^user/search/$', views.user_search, name='ddusers.user_search'),
        # private user profile editing
        url(r'^user/edit$', views.user_edit, name='ddusers.user_edit'),
        # ic: user data form as modal
        url(r'^userdata/edit/$', views.get_user_profile, name='ddusers.get_user_profile'),
        url(r'^userdata/edit/profile/$', views.userdata_edit, name='ddusers.userdata_edit'),
        # ic: userdata snippet (name, position, affiliation, email)

        # ic: interests add/remove/lookup dialog
        url(r'^user/interests/$', views.get_user_interests, name='ddusers.get_user_interests'),
        #url(r'^users/$', views.UserList.as_view()),
        #url(r'^users/(?P<pk>[0-9]+)/$', views.UserDetail.as_view()),
        ### publication
        # ic: remove publication
        url(r'^publication/remove/(?P<pk>[0-9]+)/$', views.publication_remove, name='ddusers.publication_remove'),
        # ic: add publication
        url(r'^publication/edit/add/$', views.publication_edit, name='ddusers.publication_add'),
        # ic: list publications of user
        url(r'^publication/edit$', views.get_user_publications, name='ddusers.get_user_publications'),
        #
        url(r'^dataset/(?P<pk>[0-9]+)/user/$', views.dataset_user_list, name='ddusers.dataset_user_list'),
        url(r'^dataset/(?P<pk>[0-9]+)/user/add/$', views.dataset_user_add, name='ddusers.dataset_user_add'),
        url(r'^dataset/(?P<pk>[0-9]+)/user/remove/$', views.dataset_user_remove, name='ddusers.dataset_user_remove'),
        url(r'^dataset/(?P<pk>[0-9]+)/publication/edit/$', views.ic_get_ds_publications, name='ddusers.ic_get_ds_publications'),
        # url(r'^dataset/(?P<pk>[0-9]+)/datafile/add/$', views.ic_ds_datafile_add, name='ddusers.ic_ds_datafile_add'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/publication/edit/(?P<ds_pub_pk>[0-9]+)/$', views.ic_ds_publication_edit,
            name='ddusers.ic_ds_publication_edit'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/publication/edit/add/$', views.ic_ds_publication_edit,
            name='ddusers.ic_ds_publication_add'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/publication/edit/remove/(?P<ds_pub_pk>[0-9]+)/$', views.ic_ds_publication_remove,
            name='ddusers.ic_ds_publication_remove'),
        #
        url(r'^dataset/(?P<ds_pk>[0-9]+)/csv/$', views.ds_get_csv, name='ddusers.ds_get_csv'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/pdf/$', views.ds_get_pdf, name='ddusers.ds_get_pdf'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/zip/$', views.ds_get_zip, name='ddusers.ds_get_zip'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/comments/add/$', views.ds_comment_add, name='ddusers.ds_comment_add'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/comments/$', views.ds_get_comments, name='ddusers.ds_get_comments'),
        #url(r'^dataset/(?P<ds_pk>[0-9]+)/users-perms/$', views.ds_users_perms, name='ddusers.ds_users_perms'),
        url(r'^dataset/ic/list$', views.get_user_datasets, name='ddusers.get_user_datasets'),
        # ic: edit publication using modal
        url(r'^publication/edit/(?P<pk>[0-9]+)/$', views.publication_edit, name='ddusers.publication_edit'),
        # topic
        url(r'^topic_add/$', views.topic_add, name='ddusers.topic_add'),
        url(r'^get_topics/$', views.get_topics, name='ddusers.get_topics'),
        # user project
        # ic: get projects in user profile
        url(r'^project/edit/$', views.get_user_projects, name='ddusers.get_user_projects'),
        url(r'^affiliation/edit/add/$', views.affiliation_edit, name='ddusers.affiliation_add'),
        url(r'^affiliation/edit/$', views.get_user_affiliations, name='ddusers.get_user_affiliations'),
        url(r'^affiliation/edit/(?P<pk>[0-9]+)/$', views.affiliation_edit, name='ddusers.affiliation_edit'),
        url(r'^affiliation/remove/(?P<pk>[0-9]+)/$', views.affiliation_remove, name='ddusers.affiliation_remove'),
        #url(r'^project/$', views.project_list, name='ddusers.project_list'),
        # ic: edit project in user profile
        url(r'^project/edit/add/$', views.project_edit, name='ddusers.project_add'),
        url(r'^project/edit/(?P<pk>[0-9]+)/$', views.project_edit, name='ddusers.project_edit'),
        # ic: remove project from user profile
        url(r'^project/remove/(?P<pk>[0-9]+)/$', views.project_remove, name='ddusers.project_remove'),
        # ic: add project to user profile

        # url(r'^project/(?P<pk>[0-9]+)/$', views.project_detail, name='ddusers.project_detail'),
        # url(r'^project/(?P<country>[a-z]+)/$', views.project_list_country, name='ddusers.project_list_country'),
        url(r'^user/dataset/add/$', views.dataset_edit, name='ddusers.dataset_add'),
        # documentation
        url(r'^rules_and_best_practices/$', views.documentation_list, name='ddusers.documentation_list'),
        url(r'^rules_and_best_practices/(?P<pk>[0-9]+)/$', views.documentation_detail, name='ddusers.documentation_detail'),
        url(r'^rules_and_best_practices/(?P<slug>[\w-]+)/$', views.documentation_detail, name='ddusers.documentation_detail'),

        # institution
        url(r'^institution/$', views.institution_list, name='ddusers.institution_list'),
        url(r'^institution/(?P<pk>[0-9]+)/$', views.institution_detail, name='ddusers.institution_detail'),
        # institution
        url(r'^category/$', views.category_list, name='ddusers.category_list'),
        url(r'^category/(?P<pk>[0-9]+)/$', views.category_detail, name='ddusers.category_detail'),
        # protest
        url(r'^protest/$', views.protest_list, name='ddusers.protest_list'),
        url(r'^protest/(?P<pk>[0-9]+)/$', views.protest_detail, name='ddusers.protest_detail'),
        #dataset
        url(r'^dataset/$', views.dataset_list, name='ddusers.dataset_list'),
        #url(r'^dataset/(?P<pk>[0-9]+)/info/$', views.dataset_detail, name='ddusers.dataset_detail'),
        url(r'^dataset/(?P<pk>[0-9]+)/$', views.dataset_detail, name='ddusers.dataset_detail'),
        url(r'^dataset/(?P<pk>[0-9]+)/ic/image/$', views.ic_dataset_image, name='ddusers.ic_dataset_image'),
        #url(r'^dataset/(?P<pk>[0-9]+)/edit/$', views.dataset_edit, name='ddusers.dataset_edit'),
        url(r'^dataset/(?P<pk>[0-9]+)/edit/$', views.dataset_edit, name='ddusers.dataset_edit'),
        url(r'^dataset/(?P<pk>[0-9]+)/edit/description/$', views.dataset_description_tab_edit, name='ddusers.dataset_description_tab_edit'),
        url(r'^dataset/(?P<pk>[0-9]+)/edit/metadata/$', views.dataset_metadata_tab_edit, name='ddusers.dataset_metadata_tab_edit'),
        url(r'^dataset/(?P<pk>[0-9]+)/edit/access/$', views.dataset_access_tab_edit, name='ddusers.dataset_access_tab_edit'),
        url(r'^dataset/(?P<pk>[0-9]+)/edit/datafiles/$', views.dataset_datafiles_tab_edit, name='ddusers.dataset_datafiles_tab_edit'),
        url(r'^dataset/(?P<pk>[0-9]+)/edit/publications/$', views.dataset_publications_tab_edit, name='ddusers.dataset_publications_tab_edit'),
        url(r'^dataset/remove/(?P<pk>[0-9]+)/$', views.ic_ds_remove, name='ddusers.ic_ds_remove'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/ic/manage_ds_country_tags/(?P<country_pk>[0-9]+)$', views.ic_manage_ds_country_tags, name='ddusers.ic_manage_ds_country_tags'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/ic/manage_ds_country_tags/$', views.ic_manage_ds_country_tags, name='ddusers.ic_manage_ds_country_tags'),
        #
        url(r'^dataset/(?P<ds_pk>[0-9]+)/tags/(?P<object_type>[\w-]+)/add/$', views.ic_ds_object_tags_add, name='ddusers.ic_ds_object_tags_add'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/tags/(?P<object_type>[\w-]+)/remove/(?P<tag_pk>[0-9]+)/$', views.ic_ds_object_tags_remove, name='ddusers.ic_ds_object_tags_remove'),
        #url(r'^dataset/(?P<ds_pk>[0-9]+)/ic/ds_keyword_tags_add/$', views.ic_ds_keyword_tags_add, name='ddusers.ic_ds_keyword_tags_add'),
        #url(r'^dataset/(?P<ds_pk>[0-9]+)/ic/ds_language_tags_add/$', views.ic_ds_language_tags_add, name='ddusers.ic_ds_language_tags_add'),
        #url(r'^dataset/(?P<ds_pk>[0-9]+)/ic/ds_keyword_tags_add/(?P<keyword_pk>[0-9]+)$', views.ic_ds_keyword_tags_add, name='ddusers.ic_ds_keyword_tags_add'),
        #url(r'^dataset/(?P<ds_pk>[0-9]+)/ic/ds_keyword_tags_remove/(?P<keyword_pk>[0-9]+)$', views.ic_ds_keyword_tags_remove, name='ddusers.ic_ds_keyword_tags_remove'),
        #url(r'^dataset/(?P<ds_pk>[0-9]+)/ic/ds_language_tags_remove/(?P<language_pk>[0-9]+)$', views.ic_ds_language_tags_remove, name='ddusers.ic_ds_language_tags_remove'),


        # private data set upload and editing
        url(r'^user/datasets/$', views.user_datasets, name='ddusers.user_datasets'),
        url(r'^dataset/add/$', views.dataset_edit, name='ddusers.dataset_add'),
        # ic dataset calls
        url(r'^dataset/(?P<pk>[0-9]+)/info/$', views.ic_get_dataset_info, name='ddusers.ic_get_dataset_info'),
        url(r'^dataset/(?P<pk>[0-9]+)/datafiles/$', views.ic_get_dataset_datafiles, name='ddusers.ic_get_dataset_datafiles'),
        url(r'^dataset/(?P<pk>[0-9]+)/metadata/$', views.ic_get_dataset_metadata, name='ddusers.ic_get_dataset_metadata'),
        #url(r'^dataset/(?P<pk>[0-9]+)/edit/ic/$', views.ic_dataset_edit, name='ddusers.ic_dataset_edit'),
        url(r'^dataset/(?P<pk>[0-9]+)/edit/ic/image/$', views.ic_dataset_image_upload, name='ddusers.ic_dataset_image_upload'),
        url(r'^dataset/(?P<pk>[0-9]+)/edit/ic/desc/$', views.ic_dataset_desc_edit, name='ddusers.ic_dataset_desc_edit'),
        url(r'^dataset/(?P<pk>[0-9]+)/edit/ic/metadata/$', views.ic_dataset_metadata_edit, name='ddusers.ic_dataset_metadata_edit'),
        url(r'^dataset/(?P<pk>[0-9]+)/edit/ic/external_link/$', views.ic_dataset_external_link_edit, name='ddusers.ic_dataset_external_link_edit'),
        url(r'^dataset/edit/ic/desc/$', views.ic_dataset_desc_edit, name='ddusers.ic_dataset_desc_edit'),
        url(r'^dataset/(?P<pk>[0-9]+)/datafile/edit/$', views.ic_get_ds_datafiles, name='ddusers.ic_get_ds_datafiles'),
        #url(r'^dataset/(?P<pk>[0-9]+)/datafile/add/$', views.ic_ds_datafile_add, name='ddusers.ic_ds_datafile_add'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/datafile/edit/(?P<df_pk>[0-9]+)/$', views.ic_datafile_edit, name='ddusers.ic_ds_datafile_edit'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/datafile/edit/add/$', views.ic_ds_datafile_add, name='ddusers.ic_ds_datafile_add'),
        url(r'^dataset/(?P<ds_pk>[0-9]+)/datafile/edit/remove/(?P<df_pk>[0-9]+)/$', views.ic_ds_datafile_remove, name='ddusers.ic_ds_datafile_remove'),


        # datafile
        #url(r'^datafile/(?P<pk>[0-9]+)/edit/ic/$', views.ic_datafile_edit, name='ddusers.ic_datafile_edit'),

        #url(r'^datafile/(?P<pk>[0-9]+)/remove/ic/$', views.ic_datafile_remove, name='ddusers.ic_datafile_remove'),

        # projects
        url(r'^projects/$', views.ProjectList.as_view()),
        url(r'^projects/(?P<pk>[0-9]+)/$', views.ProjectDetail.as_view()),
        url(r'^institutions/$', views.InstitutionList.as_view()),
        url(r'^institutions/(?P<pk>[0-9]+)/$', views.InstitutionDetail.as_view()),
        url(r'^data-sets/$', views.DataSetList.as_view()),
        url(r'^data-sets/(?P<pk>[0-9]+)/$', views.DataSetDetail.as_view()),
        url(r'^topics/$', views.TopicList.as_view()),
        url(r'^topics/(?P<pk>[0-9]+)/$', views.TopicDetail.as_view()),
        # file download
        url(r'^datafile/(?P<pk>[0-9]+)/$', views.download_file, name='ddusers.data_file_view'),
    ]

#urlpatterns = format_suffix_patterns(urlpatterns)
